Bug 834991 - Review Request: perl-Paper-Specs - Size and layout information for paper stock, forms, and labels
Review Request: perl-Paper-Specs - Size and layout information for paper stoc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 835028
  Show dependency treegraph
 
Reported: 2012-06-25 03:48 EDT by Jitka Plesnikova
Modified: 2012-06-27 02:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 02:42:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-06-25 03:48:13 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Paper-Specs/perl-Paper-Specs.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Paper-Specs/perl-Paper-Specs-0.10-1.fc18.src.rpm
Description:
- Layout PDF and PostScript documents
- Obtain page size information
- Support page sizes you didn't know about

Fedora Account System Username: jplesnik@redhat.com

http://koji.fedoraproject.org/koji/taskinfo?taskID=4192340
Comment 1 Jitka Plesnikova 2012-06-25 04:38:10 EDT
I had to updated spec. The links are the same. 

Koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=4192445
Comment 2 Jørn Lomax 2012-06-26 07:17:49 EDT
Again, only informal review:

Rpmlint comes out clean:
>rpmlint perl-Paper-Specs.spec
>rpmlint perl-Paper-Specs-0.10-1.fc18.src.rpm 
>1 packages and 0 specfiles checked; 0 errors, 0 warnings.

One issue was found when running the review:
>[!]: SHOULD SourceX / PatchY prefixed with %{name}.
>     Note: Source0: http://www.cpan.org/authors/id/J/JO/JONALLEN/Paper-
>     Specs-%{version}.tar.gz (Paper-Specs-%{version}.tar.gz) Patch0:
>     fix_Avery_5393.patch (fix_Avery_5393.patch)

while you can't use %{name} for the source, you might want to consider using %{name} for the patch. 

Have you submitted the patch upstream? If you have, please mention the status of the patch as a comment in the specfile. You can also give a link to a upstream bugtracker or mailing list archive if there is one.
Comment 3 Jitka Plesnikova 2012-06-26 07:33:52 EDT
The patch was submitted to the upstream. I mentioned the bug in the changelog, but I forgot to add the link before line with Patch0. 
I'll add the link and update the name for patch.
Comment 4 Jitka Plesnikova 2012-06-26 07:47:31 EDT
Updated. 
Links are same.
Comment 5 Petr Šabata 2012-06-26 07:51:11 EDT
The package seems okay.

I'd just suggest starting the %description with a sentence, e.g. "This package provides features such as...".  I suppose that would look a bit better than a simple bullet list.  It's up to you.

Approving.
Comment 6 Jørn Lomax 2012-06-26 07:53:39 EDT
If you are going to use the version number in the patch name, it would be easier to use %{version} so you only have to change it version number one places when the package is updated.

You will also have to bump the release number on the package and add to the changelog
Comment 7 Petr Šabata 2012-06-26 08:00:45 EDT
(In reply to comment #6)
> If you are going to use the version number in the patch name, it would be
> easier to use %{version} so you only have to change it version number one
> places when the package is updated.

Patch filename don't usually get updated unless they need to be changed.  The version in them shows for what version onwards it's applicable on -- at least in my world.  Using the %{version} macro in there makes no sense.
Comment 8 Jitka Plesnikova 2012-06-26 08:05:44 EDT
New Package SCM Request
=======================
Package Name: perl-Paper-Specs
Short Description: Size and layout information for paper stock, forms, and labels
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2012-06-26 11:08:00 EDT
Git done (by process-git-requests).
Comment 10 Jitka Plesnikova 2012-06-27 02:42:24 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.